EDIT - feature request #9331

Distinguish DescriptionElementSource and NamedSource
11/25/2020 09:32 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

... NamedSource is now used in more cases and DescriptionElementSource should have a backlink to DescriptionElement

We need a common base class NamedSourceBase.
SecundumSource will also inherit from this base class.

copied from #6581

Related issues:

Related to EDIT - task #9330: Remove "NomenclaturalSource" from OriginalSourc... Closed
Related to EDIT - task #9536: Remove old single source citation and microCita... Closed
Copied from EDIT - feature request #6581: Make all microreferenced references... Closed

Associated revisions

Revision f972ab15 - 03/18/2021 02:07 PM - Andreas Miiller
ref #9331 adapt vaadin to NamedSource

Revision 5e67aad3 - 03/18/2021 04:03 PM - Andreas Miiller

ref #9331 adapt vaadin test data to NamedSource

Revision bf4426¢2 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 remove generics from OriginalSourceBase

Revision b93258bd - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 add NamedSource and NamedSourceBase and use it, SecundumSource inherits from NamedSource

Revision 4329e9eb - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 some final changes in model for NamedSourceBase et al.

Revision 77fa46a3 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 correct modelling for DescElem to Source and update script for DescElemSources

Revision f70e3cdb - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 factory methods for NamedSource

Revision 4d32881a - 03/19/2021 02:04 PM - Andreas Miiller

ref #9331 update test data for new DescriptionElementSource handling

Revision de50b58b - 03/19/2021 02:05 PM - Andreas Miiller
ref #9331 improve deb handling in Cdm2CdmImportBase

Revision 369110a3 - 03/19/2021 04:27 PM - Andreas Miiller

ref #9331 fix CCE in NomenclaturalSourceElement

Revision ceec0175 - 03/19/2021 04:41 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/6581

ref #9331 further taxeditor adaptations to NamedSourceBase

Revision 4cce7202 - 03/19/2021 05:47 PM - Andreas Miiller

ref #9331 further taxeditor adaptations to NamedSourceBase (cont.)

Revision 4b70788c - 10/07/2021 01:40 AM - Andreas Miiller
ref #8871, ref #9331 fix DescriptionElementSource.clone , e.g. for DistributionAggregation

History

#1 - 11/25/2020 09:32 PM - Andreas Miiller

- Copied from feature request #6581: Make all microreferenced references OriginalSources added

#2 - 03/17/2021 10:24 PM - Andreas Miiller

- Related to task #9330: Remove "NomenclaturalSource" from OriginalSource Type added

#3 - 03/17/2021 11:08 PM - Andreas Miller

- Subject changed from Rename DescriptionElementSource to NamedSource to Distinguish DescriptionElementSource and NamedSource

- Description updated

- Status changed from New to In Progress
- Priority changed from New to Highest

- % Done changed from 0 to 10

#4 - 03/18/2021 09:39 AM - Andreas Miiller

- Description updated

#5 - 03/18/2021 11:47 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

#6 - 03/18/2021 11:47 AM - Andreas Miiller

- Related to task #9536: Remove old single source citation and microCitation columns for secundum and
DescriptionElementBase_OriginalSourceBase and TaxonName_NomenclaturalStatus added

#7 - 03/19/2021 06:15 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 70

This is generally solved and update script works now. The new class structure is now

OriginalSorceBase

| - NamedSourceBase (nameUsedInSource Attribut)
| -NamedSource (kein weiteres Attr.)
|-DescriptionElementSource (DEB backlink)
| -NomenclaturalSource (TaxonName backlink)
| -SecundumSource (TaxonBase backlink)

|-IdentifiableSource

Katja, can you please review if all casting in TaxEditor is done correctly (see my last 3 commits on this issue)

#8 - 03/31/2021 11:00 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 70 to 100

The adaptions in editor work and the class structure looks good.
